Subject: feature request: scrollbar in fringe

From: Toon Claes <[email-masked]>
Date: Sat, 21 Jul 2012 20:52:21 +0200

Hello all,

yascroll.el ( https://github.com/m2ym/yascroll-el ) is an awesome emacs package that makes use of the right fringe to draw a scrollbar.

This works great, with just one issue. It is not possible to draw below the end of the buffer. So when the buffer ends in the middle of the screen, it is not possible to draw the scrollbar at the bottom of the window.

Now we have noticed, 'indicate-empty-lines is able to draw empty line markers below the end of the buffer. So I've asked the development mailing list if it is possible to do this from elisp:
http://lists.gnu.org/archive/html/emacs-devel/2012-07/msg00148.html

So that's why I am issuing a feature request. There are 2 possible ways to fix this:
- implement a scrollbar in the fringe completely in c code
- allow elisp to draw beyond the limits of a buffer

I did have a quick look at the c code used to indicate-empty-lines, but it didn't make a lot sense to me.
Maybe somebody is willing to implement the fringe scrollbar, or able to point me out how to accomplish this in c code?

Regards,
Toon